#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  xdg-desktop-portal-gnome-50.0

- Next

  gnome-backgrounds-50.0

- Up
- Home

# DConf-0.49.0 / DConf-Editor-49.0

## Introduction to DConf

The DConf package contains a low-level configuration system. Its main purpose is to provide a backend to GSettings on platforms that don't already have configuration storage systems.

The DConf-Editor, as the name suggests, is a graphical editor for the DConf database. Installation is optional, because gsettings from GLib-2.88.0 provides similar functionality on the commandline.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/dconf/0.49/dconf-0.49.0.tar.xz

- Download MD5 sum: 1a3ff8a464a4d9ebbaf112005bfed95a

- Download size: 124 KB

- Estimated disk space required: 9.7 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### Additional Downloads

- Download (HTTP): https://download.gnome.org/sources/dconf-editor/49/dconf-editor-49.0.tar.xz

- Download MD5 sum: a1fa0f26ceffdcdb84d16c1b079a65a7

- Download size: 640 KB

- Estimated disk space required: 23 MB

- Estimated build time: 0.2 SBU

### DConf Dependencies

#### Required

dbus-1.16.2, GLib-2.88.0, GTK-3.24.52 (for the editor), libhandy-1.8.3 (for the editor), and libxml2-2.15.3 (for the editor)

#### Recommended

libxslt-1.1.45 and Vala-0.56.19

#### Optional

GTK-Doc-1.36.1 and bash-completion

## Installation of DConf

Install DConf by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr            \
                --buildtype=release      \
                -D bash_completion=false \
                ..                       &&
    ninja

To test the results, issue: dbus-run-session ninja test

As the `root` user:

    ninja install

Now, optionally install the editor:

    cd ..              &&
    tar -xf ../dconf-editor-49.0.tar.xz &&
    cd dconf-editor-49.0                &&

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

As the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=true`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: dconf and dconf-editor
Installed Libraries: libdconf.so and libdconfsettings.so (GIO Module installed in `/usr/lib/gio/modules`)
Installed Directories: /usr/{include,share/gtk-doc/html}/dconf

### Short Descriptions

dconf | is a simple tool for manipulating the DConf database
dconf-editor | is a graphical program for editing the DConf database
`libdconf.so` | contains the DConf client API functions

- Prev

  xdg-desktop-portal-gnome-50.0

- Next

  gnome-backgrounds-50.0

- Up
- Home